Bug 799209 - (CVE-2012-1097) CVE-2012-1097 kernel: regset: Prevent null pointer reference on readonly regsets
CVE-2012-1097 kernel: regset: Prevent null pointer reference on readonly regsets
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120303,repor...
: Security
Depends On: 799212 799213 799214 799782 818287
Blocks: 799195
  Show dependency treegraph
 
Reported: 2012-03-02 01:42 EST by Eugene Teo (Security Response)
Modified: 2013-04-24 09:14 EDT (History)
21 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-24 09:14:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2012-03-02 01:42:21 EST
The regset common infrastructure assumed that regsets would always have .get and .set methods, but not necessarily .active methods.  Unfortunately people have since written regsets without .set methods.  

Rather than putting in stub functions everywhere, handle regsets with null .get or .set methods explicitly.

Acknowledgements:

Red Hat would like to thank H. Peter Anvin for reporting this issue.
Comment 5 Eugene Teo (Security Response) 2012-03-02 02:18:52 EST
Statement:

This issue did not affect the Linux kernel as shipped with Red Hat Enterprise Linux 5 as it did not backport upstream commits 4206d3aa and 5bde4d18.
Comment 7 Eugene Teo (Security Response) 2012-03-04 21:10:25 EST
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 799782]
Comment 9 Fedora Update System 2012-03-10 16:50:39 EST
kernel-3.2.9-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-03-14 22:31:41 EDT
kernel-2.6.42.9-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 errata-xmlrpc 2012-04-17 14:57:15 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0481 https://rhn.redhat.com/errata/RHSA-2012-0481.html
Comment 14 errata-xmlrpc 2012-06-26 14:43:15 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.1 EUS - Server Only

Via RHSA-2012:1042 https://rhn.redhat.com/errata/RHSA-2012-1042.html

Note You need to log in before you can comment on or make changes to this bug.